<?php
session_start(); 
////
/// Cierre Jornada
///

//$file = fopen("log.txt", "w");   /// BORRAR LOG
//fwrite($file, "Error $error". PHP_EOL);
//fclose($file);


header("Content-Type: control_ras/json");

//------------------------------------------------ Prepara la primera pantalla -----------------------------------------------------------------------------------------
$view='jsonfiles/control_ras.json';

$data1=array();
$grid=array();
$output = array();
$ras=$_GET["ras"];
$data1['ras']=$ras;

$config = require ('config.php');
$conexion=$config['conexion']; 

$rutafotos=$config['rutafotos']; 
$data1['url']= $config['URL'];  
$data1['extjs']='jscss/control_ras.js?'.trim(date_timestamp_get(date_create()));

$conn = pg_pconnect("$conexion");

if (isset($_POST["exit"]) && $_POST["exit"] == '1') { 

	return;

} else {
	
	$tienda2="";
	$soporte2="";
	$ref2="";
	if (isset($_POST["tienda2"])) {
		$tienda2=$_POST["tienda2"];
		$soporte2=$_POST["soporte2"];
		$ref2=$_POST["ref2"];
		$data1['tienda2']=$tienda2;
		$data1['soporte2']=$soporte2;
		$data1['ref2']=$ref2;
	}	
	cargadatos($conn,$ras,$tienda2,$soporte2,$ref2,$rutafotos);
	$output = array('data' => $data1, 'view' => $view, 'screen' => 'fmt01');

}

utf8_encode_deep($output);
echo  json_encode($output);	


//
//------------------------ Carga ultimas peticiones 
// 

function cargadatos($conn,$ras,$tienda2,$soporte2,$ref2,$rutafotos) {

	
global $data1;	




$grid1 = array();

$sql="select zona,tienda,soporte,referencia,des_referencia,momento_inicio, 
						ifnull(momento_fin,'-') momento_fin, ifnull(ultima_foto,'-') ultima_foto, ifnull(primera_foto,'-') primera_foto, ifnull(errores,'-') errores,
						ifnull(CAST ((JulianDay(momento_fin) - JulianDay(momento_inicio)) * 24 * 3600 AS Integer),'-') segundos
						from peticiones ";
	
if ($tienda2!="" or $soporte2!="" or $ref2!="") {
	$sql=$sql.' where ';
}
$and='N';			
if ($tienda2!="") {
	$sql=$sql." trim(tienda)='$tienda2'";
	$and='S';
}
if ($soporte2!="") {
	if ($and=="S") {
		$sql=$sql.' and ';
	}
	$sql=$sql." trim(soporte)='$soporte2'";
	$and='S';
}
if ($ref2!="") {
	if ($and=="S") {
		$sql=$sql.' and ';
	}
	$sql=$sql." trim(referencia)='$ref2'";
}
$sql=$sql." order by momento_inicio desc limit 600";

$result = pg_query($conn, $sql);
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

	$iestado='';
	$mfin='-';
	$tiempo='-';
	if ($row['errores']=='-') {
		$iestado='images/confirmar.jpg';
	} else {	
		$iestado='images/alertat.png';
	}	
	$fotopos=$row['primera_foto'];
	$posfoto=strripos($fotopos, '/');
	$fotoneta=substr($fotopos,$posfoto);
	$prifoto=$rutafotos.$fotoneta;
	$fotopos=$row['ultima_foto'];
	$posfoto=strripos($fotopos, '/');
	$fotoneta=substr($fotopos,$posfoto);
	$ultfoto=$rutafotos.$fotoneta;
	array_push($grid1, array(
		'zona' => $row['zona'],
		'tienda' => trim($row['tienda']),	
		'soporte' => trim($row['soporte']),
		'txtref' => trim($row['referencia']).' '.trim($row['des_referencia']),
		'ref' => trim($row['referencia']),
		'iestado' => $iestado,
		'foto' => $ultfoto,
		'foto1' => $prifoto,
		'mpeticion' => substr($row['momento_inicio'],8,2).'-'.substr($row['momento_inicio'],5,2).'-'.substr($row['momento_inicio'],0,4).' '.substr($row['momento_inicio'],11,8),
		'mfin' => $row['momento_fin'],
		'tiempo' => $row['segundos'].' Seg'));

}

$data1['grid1'] = $grid1;
$data1['rutafotos'] = $rutafotos;

pg_free_result($result);
pg_close($conn);

}

function utf8_encode_deep(&$input) {
	
	if (is_string($input)) {
		$input = utf8_encode($input);
	} else if (is_array($input)) {
		foreach ($input as &$value) {
			utf8_encode_deep($value);
		}
		
		unset($value);
	} else if (is_object($input)) {
		$vars = array_keys(get_object_vars($input));
		
		foreach ($vars as $var) {
			utf8_encode_deep($input->$var);
		}
	}
}


?>